- Qt 6.12
- Qt TaskTree
- C++ Classes
- ElseIf
- Qt 6.12.0 Reference Documentation

# QtTaskTree::ElseIf Class

class QtTaskTree::ElseIf

An "else if" element used in conditional expressions. More...

Header: | `#include <qconditional.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS TaskTree)` `target_link_libraries(mytarget PRIVATE Qt6::TaskTree)`
qmake: | `QT += tasktree`
Since: | Qt 6.11
Status: | Technology preview

This class is in technology preview and is subject to change.

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| ElseIf(const QtTaskTree::ExecutableItem &condition)
| ElseIf(Handler &&handler)
| ElseIf(QtTaskTree::ElseIf &&other)

## Detailed Description

An alternative condition element of the conditional expressions. Must always be preceeded and followed by Then element.

See also If, Then, and Else.

## Member Function Documentation

### `[explicit]` ElseIf::ElseIf(const QtTaskTree::ExecutableItem &condition)

Creates an alternative condition element with condition task to be used in conditional expression.

See also If.

### `[explicit]` template <typename Handler, std::enable_if_t<!std::is_base_of_v<ExecutableItem, std::decay_t<Handler>>, bool> = true> ElseIf::ElseIf(Handler &&handler)

A helper constructor accepting the synchronous handler to be executed when evaluating the initial condition by the running QTaskTree.

It's a shortcut for:

     ElseIf (QSyncTask(handler))

See QSyncTask for more information on what handler types are acceptable.

This is an overloaded function.

See also QSyncTask and If.

### `[constexpr noexcept default]` ElseIf::ElseIf(QtTaskTree::ElseIf &&other)

Move-constructs an instance of ElseIf.